//
//  HUD.swift
//  GoldWars
//
//  Created by Niko Jochim on 01.05.20.
//  Copyright © 2020 SP2. All rights reserved.
//

import GameplayKit

class HUD: GKEntity {

	init(size: CGSize) {
		super.init()
		addComponent(SpySkillComponent(text: "Spy",
									texture: nil,
									anchorPoint: CGPoint(x: size.width * 0.75, y: size.height * 0.1)))

		
		addComponent(AtkBoostSkillComponent(text: "Atk",
											texture: nil,
											anchorPoint: CGPoint(x: size.width * 0.85, y: size.height * 0.1)))


		addComponent(DefBoostSkillComponent(text: "Def",
										 texture: nil,
										 anchorPoint: CGPoint(x: size.width * 0.95, y: size.height * 0.1)))

	}

	required init?(coder: NSCoder) {
		fatalError("init(coder:) has not been implemented")
	}

}
